Package org.silverpeas.components.community.web

## Class CommunityMembershipEntities

- java.lang.Object
- - org.silverpeas.components.community.web.CommunityMembershipEntities

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.web.rs.WebEntity`

      public class CommunityMembershipEntities
      extends Object
      implements org.silverpeas.core.web.rs.WebEntity

  A collection of web entities representing each a membership to a community. As the collection can be just a window over a part of some memberships, the total number of memberships answering the request is indicated whereas the collection provides just a part of them.
  Author:
    mmoquillon
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CommunityMembershipEntities()` |
    `protected` | `CommunityMembershipEntities​(org.silverpeas.core.util.SilverpeasList<CommunityMembershipEntity> memberships)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<CommunityMembershipEntity>` | `getMemberships()` | Gets all the memberships contained in this collection.
    `long` | `getRealSize()` | Gets the total real count of memberships matching the request.
    `long` | `getSize()` | Gets the actual count of memberships contained in this collection.
    `URI` | `getURI()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommunityMembershipEntities

          protected CommunityMembershipEntities()

    - #### CommunityMembershipEntities

          protected CommunityMembershipEntities​(org.silverpeas.core.util.SilverpeasList<CommunityMembershipEntity> memberships)

  - ### Method Detail

    - #### getURI

          public URI getURI()

      Specified by:
        `getURI` in interface `org.silverpeas.core.web.rs.WebEntity`

    - #### getRealSize

          public long getRealSize()

      Gets the total real count of memberships matching the request.
      Returns:
        the real size of the collection, that is the size of the collection whether all the members matching the request have been contained by it.

    - #### getSize

          public long getSize()

      Gets the actual count of memberships contained in this collection.
      Returns:
        the actual size of this collection. If this collection contains all the memberships matching the request, then his actual size is equal to his real size.

    - #### getMemberships

          public List<CommunityMembershipEntity> getMemberships()

      Gets all the memberships contained in this collection.
      Returns:
        the memberships (or a port of them) matching the request.